| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Attributes | List of all members
UsbDevice Struct Reference

A structure definition to handle USB callback event. More...

`#include <UsbCommunication.h>`

## Public Attributes
struct libusb_transfer * | transfer
struct libusb_device_handle * | device_handle
unsigned char | input_endpoint
struct libusb_context * | usbContext
BaseDataExtractor * | extractor
HANDLE | dataAvailableSemaphore
HANDLE | rawDataAvailableSemaphore
HANDLE | semReadyToConsume
string | commandResult
bool | treat = false
vector< string > | localVector
RawData | extractedData
bool | interruptTransfer = true
CommunicationStatus | commStatus
atomic< chrono::time_point< std::chrono::steady_clock > > | lastUsbDataTime
int * | callbackConnectionStatus

## Detailed Description

A structure definition to handle USB callback event.

## Member Data Documentation

## ◆ callbackConnectionStatus

int* UsbDevice::callbackConnectionStatus

## ◆ commandResult

string UsbDevice::commandResult

## ◆ commStatus

CommunicationStatus UsbDevice::commStatus

## ◆ dataAvailableSemaphore

HANDLE UsbDevice::dataAvailableSemaphore

## ◆ device_handle

struct libusb_device_handle* UsbDevice::device_handle

## ◆ extractedData

RawData UsbDevice::extractedData

## ◆ extractor

BaseDataExtractor* UsbDevice::extractor

## ◆ input_endpoint

unsigned char UsbDevice::input_endpoint

## ◆ interruptTransfer

bool UsbDevice::interruptTransfer = true

## ◆ lastUsbDataTime

atomic<chrono::time_point<std::chrono::steady_clock> > UsbDevice::lastUsbDataTime

## ◆ localVector

vector<string> UsbDevice::localVector

## ◆ rawDataAvailableSemaphore

HANDLE UsbDevice::rawDataAvailableSemaphore

## ◆ semReadyToConsume

HANDLE UsbDevice::semReadyToConsume

## ◆ transfer

struct libusb_transfer* UsbDevice::transfer

## ◆ treat

bool UsbDevice::treat = false

## ◆ usbContext

struct libusb_context* UsbDevice::usbContext

The documentation for this struct was generated from the following file:

- UsbCommunication.h